/*------------------------------------*\
    #MENU-FOOTER
\*------------------------------------*/
/**
 * Footer navigation component.
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.components';

.#{$inuit-namespace}menu-footer,
%#{$inuit-namespace}menu-footer {
    @extend %h-clearfix;
    padding-top: 30px;

    @media #{$medium-up} {
        font-size: $inuit-font-size-small;
    }
}

.#{$inuit-namespace}menu-footer__list,
%#{$inuit-namespace}menu-footer__list {
    @extend %o-list-bare;

    &--l1 {
        margin-bottom: 0;
        background: transparent;
    }

    &--l2 {
        background: transparent;
    }
}

.#{$inuit-namespace}menu-footer__item,
%#{$inuit-namespace}menu-footer__item {
    &--l1 {
        background: transparent;
        font-weight: bold;
        margin-bottom: drk-quarter($drk-base-unit);
    }

    &--l2 {
        background: transparent;
    }
}

.#{$inuit-namespace}menu-footer__link,
%#{$inuit-namespace}menu-footer__link {
    color: $drk-color-grey;
    display: block;

    @include drk-hover {
        text-decoration: underline;
    }
}
